Bug 6046 - xargs -i regression
: xargs -i regression
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/findutils)
: unstable
: all Linux
: P2 critical
Assigned To:
:
: https://savannah.gnu.org/bugs/?func=d...
:
:
:
  Show dependency tree
 
Reported: 2005-02-05 19:37 by
Modified: 2005-08-30 03:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-05 19:37:37
Не удаётся заставить xargs нормально работать с заменой строки. 
Проверка: В каталоге RPMS.classic Сизифа (файлов должно быть больше 3500) 
запускаем 
$ find -name "*.rpm" | xargs -i'{}' echo '{}'  

через некоторое время получаем: 
xargs: argument line too long 

Список файлов к этому моменту достигает около 111 Кб, 
но это же не должно влиять...
------- Comment #1 From 2005-02-06 00:30:20 -------
Broken in findutils-4.2.12
------- Comment #2 From 2005-02-06 02:37:44 -------
Перенаправил upstream.
------- Comment #3 From 2005-02-06 03:57:16 -------
Fixed in findutils-4.2.16-alt1